## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           python-railroad-diagrams
Version:        2.0.4
Release:        %autorelease
Summary:        Library to generate railroad diagrams

License:        MIT
URL:            https://pypi.org/project/railroad-diagrams/
Source:         %{pypi_source railroad-diagrams}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
%{summary}.}

%description %_description

%package -n python3-railroad-diagrams
Summary:        %{summary}

%description -n python3-railroad-diagrams %_description

%prep
%autosetup -p1 -n railroad-diagrams-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

# Here, "railroad" is the name of the importable module.
%pyproject_save_files railroad

%check
cat >test.py <<EOF
from railroad import Diagram, Choice
d = Diagram("foo", Choice(0, "bar", "baz"))
d.writeSvg(sys.stdout.write)
EOF
%python3 railroad.py

%files -n python3-railroad-diagrams -f %{pyproject_files}
%doc README.md
%doc README-py.md
%license LICENSE

%changelog
* Sat Jul 16 2022 Benson Muite <benson_muite@emailplus.org> 2.0.4-2
- Convert to %%pyproject_wheel

* Thu Jul 14 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 2.0.4-1
- Initial version
